Revoke an access key
curl --request POST \
--url https://api.coreweave.com/v1/cwobject/revoke-access-key/access-key \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accessKey": "<string>"
}
'import requests
url = "https://api.coreweave.com/v1/cwobject/revoke-access-key/access-key"
payload = { "accessKey": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accessKey: '<string>'})
};
fetch('https://api.coreweave.com/v1/cwobject/revoke-access-key/access-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Revoke an access key
Revoke a specific access key by its access-key value.
POST
/
v1
/
cwobject
/
revoke-access-key
/
access-key
Revoke an access key
gRPC method: RevokeAccessKeyByAccessKey
- The API server is
https://api.coreweave.com. - Replace
{API_ACCESS_TOKEN}with your CoreWeave API access token. - For required permissions, see IAM Access Policies.
RevokeAccessKeysByPrincipal
instead.
data.json
{
"accessKey": "example-access-key"
}
Example request
curl -X POST https://api.coreweave.com/v1/cwobject/revoke-access-key/access-key \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {API_ACCESS_TOKEN}" \
-d @data.json
Authorizations
CoreWeave API access token sent as a bearer token in the Authorization header (the value is prefixed with Bearer). Used by every operation except the SAML/OIDC token-exchange endpoints (anonymous) and the container credentials GET (which uses ContainerCredentialsAuth).
Body
application/json
Inputs for revoking a single access key by its access-key value.
The access-key value (not the ID) to revoke.
Response
Last modified on July 24, 2026
Was this page helpful?
⌘I